import type net from 'node:net';
import type http from 'node:http';
import type { ProxyConfig } from '../utils/types.js';
export type UpgradeMiddleware = (req: http.IncomingMessage, socket: net.Socket, head: Buffer) => void | Promise<void>;
export default function upgradeMiddleware(wsProxies: ProxyConfig[]): UpgradeMiddleware;
